#!/usr/bin/python2.7

# Demonstrate curves, data vectors, equations, spectra, and histograms

import pykst as kst

client=kst.Client("FlagFilter")

P1 = client.new_plot()

gv1 = client.new_generated_vector(1, 100.0, 100)

c1 = client.new_curve(gv1, gv1)
c1.set_color("red")
c1.set_has_points()
c1.set_has_lines(False)

f1 = client.new_flag_filter(gv1, gv1, "0x04", True)
c2 = client.new_curve(gv1, f1.output())
c1.set_has_points()
c1.set_has_lines(False)

P1.add(c1)
P1.add(c2)
